summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian Dolbec <dolsen@gentoo.org>2017-03-28 17:31:59 -0700
committerBrian Dolbec <dolsen@gentoo.org>2017-03-28 18:43:06 -0700
commit35597ce01094c26b7a9408b008baf22e18c1d129 (patch)
tree5c788903326027e3870cc2e32e4e8ec3dbe20cf1
parentdev-python/treq: Version bump (diff)
downloadgentoo-35597ce01094c26b7a9408b008baf22e18c1d129.tar.gz
gentoo-35597ce01094c26b7a9408b008baf22e18c1d129.tar.bz2
gentoo-35597ce01094c26b7a9408b008baf22e18c1d129.zip
dev-python/priority: Version bump
Package-Manager: Portage-2.3.5, Repoman-2.3.2_p30
-rw-r--r--dev-python/priority/Manifest1
-rw-r--r--dev-python/priority/priority-1.3.0.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/dev-python/priority/Manifest b/dev-python/priority/Manifest
index cb3572b5a05..537a179c80d 100644
--- a/dev-python/priority/Manifest
+++ b/dev-python/priority/Manifest
@@ -1,3 +1,4 @@
DIST priority-1.2.0.tar.gz 12064 SHA256 70468e7f43c4bb19cd966d63f78367d8c5af68828611aa3f3e5d77b8948cd2d4 SHA512 00cac802a7d4a6960e71d6d5552c2649becb07e9bd124421b8a391f3681ecdfcc4928725cfffe1011143789b75b8660bd178dbef1f7ebfadd25057d9d7f22dee WHIRLPOOL b1a2d5d9f64e22f341d6ee8f0e0dc43e4fdd2cebb0330ff186be12dbf3e676a20e17b1e27dae1eb7679e6debffaed92eeb2cc88f45fc8180bbc13cca8df2b7e4
DIST priority-1.2.1.tar.gz 12558 SHA256 21e3b5a3b64cda106556023c9ac1223a026a45252536dd33b992a35e557280a4 SHA512 f396ffddcb574fc9e672f2211c39aa2643ab66953c2c3fb2d1b21b1714d48fcca2a2b122c703d6a684ebdc829253c6b42e4cfb935b1caa43e18d1c6d5b7912cb WHIRLPOOL a4d1032fde4cf41d4709eda56a8b18a5fb896e0ce25d392d0fa7613078223c294e4f181a0a1aa59acaa8e68cb50045d305ccd81411c7c9ef2e3d114d6c4e9795
DIST priority-1.2.2.tar.gz 12779 SHA256 6cd04ba9d2ce1a6a25ceb5f52674c3f400cf21ff948fcfcf76afd6c8a9b19c07 SHA512 72b77fab8dd4fc61b11ea8c4e1137a53653f8d3c0e30a00eea1443d2fc5e43a5b66f18d7b62db051cb70075671860ccf044af1e03578fb96f9427e20379f3b22 WHIRLPOOL f6f622cfc6292d6b3043d61447d39cc3bff575ab4679d5d21ee31ee80e473d26c8017c829fa5eef1f63fb83a4f4f893505fba06456503e0721e960c1b2fcbd8e
+DIST priority-1.3.0.tar.gz 13827 SHA256 6bc1961a6d7fcacbfc337769f1a382c8e746566aaa365e78047abe9f66b2ffbe SHA512 cefb13b15e99ef98c37fdd1486466c9e1d7d04b4574cbca1665fde7b7b44cc7d66964bed41184315a9b51bd6f9d0e02bbe113bfa004a754ac270170309b71e0a WHIRLPOOL 45fe643b70a4c3cb9e3600e73475384a5b339acbb0a801be8c0e6c190bc2e3894443b28c3b691b3c555250175d6d313808c6bf7a0fed3b586c9fe7beb3b4a843
diff --git a/dev-python/priority/priority-1.3.0.ebuild b/dev-python/priority/priority-1.3.0.ebuild
new file mode 100644
index 00000000000..29d343dc3bf
--- /dev/null
+++ b/dev-python/priority/priority-1.3.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy)
+
+inherit distutils-r1
+
+DESCRIPTION="A pure-Python implementation of the HTTP/2 priority tree"
+HOMEPAGE="http://python-hyper.org/priority https://github.com/python-hyper/priority https://pypi.python.org/pypi/priority"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="test"
+
+RDEPEND=""
+
+DEPEND="
+ test? (
+ >=dev-python/pytest-2.9.2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-cov-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-1.14.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-3.4.2[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ PYTHONPATH="${S}/test:${BUILD_DIR}/lib" py.test -v || die "Tests failed under ${EPYTHON}"
+ cd test
+}